/*  import google fonts */
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700&family=Ubuntu:wght@400;500;700&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
}
html{
    scroll-behavior: smooth;
}
a {
    text-decoration: none;
}
/* custom scroll bar */
::-webkit-scrollbar {
    width: 10px;
}
::-webkit-scrollbar-track {
    background: #f1f1f1;
}
::-webkit-scrollbar-thumb {
    background: #888;
}

::-webkit-scrollbar-thumb:hover {
    background: #555;
}

/* all similar content styling codes */
/* section{
    padding: 100px 0;
} */
.max-width{
    max-width: 1300px;
    padding: 0 80px;
    margin: auto;
    width: 100%;
}
.about, .services, .skills, .teams, .contact, footer{
    font-family: 'Poppins', sans-serif;
}
.about .about-content,
.services .serv-content,
.skills .skills-content,
.contact .contact-content{
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;
}
section .title{
    position: relative;
    text-align: center;
    font-size: 54px;
    font-weight: 500;
    font-family: 'Ubuntu', sans-serif;
}
/* section .title::before{
    content: "";
    position: absolute;
    bottom: 0px;
    left: 50%;
    width: 180px;
    height: 3px;
    background: #111;
    transform: translateX(-50%);
} */
section .title::after{
    position: absolute;
    bottom: -40px;
    left: 50%;
    font-size: 20px;
    color: #ffffff;
    padding: 0 5px;
    background: #fff;
    transform: translateX(-50%);
}

/* navbar styling */
.navbar{
    position: fixed;
    width: 100%;
    z-index: 999;
    padding: 30px 0;
    font-family: 'Ubuntu', sans-serif;
    transition: all 0.3s ease;
    background: linear-gradient(80deg, #fff, #38a8a3);
    box-shadow: 0px -24px 20px 20px #00000047;
}
.navbar.sticky{
    padding: 15px 0;
    background: #ffffff;
    box-shadow: 0 0 10px #f3f3f3;
}
.navbar .max-width{
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.navbar .logo a{
    color: #fff;
    font-size: 35px;
    font-weight: 600;
}
.navbar .logo a span{
    color: #38A8A3;
    transition: all 0.3s ease;
}
.navbar.sticky .logo a span{
    color: #fff;
}
.navbar .menu li{
    list-style: none;
    display: inline-block;
}
.navbar .menu li a{
    display: block;
    color: #333;
    font-size: 18px;
    font-weight: 500;
    margin-left: 25px;
    transition: color 0.3s ease;
}
.navbar .menu li a:hover{
    color: #38A8A3;
}
.navbar.sticky .menu li a:hover{
    color: #fff;
}

/* menu btn styling */
.menu-btn{
    color: #fff;
    font-size: 23px;
    cursor: pointer;
    display: none;
}
.scroll-up-btn{
    position: fixed;
    height: 45px;
    width: 42px;
    background: #38A8A3;
    right: 30px;
    bottom: 10px;
    text-align: center;
    line-height: 45px;
    color: #fff;
    z-index: 9999;
    font-size: 30px;
    border-radius: 6px;
    border-bottom-width: 2px;
    cursor: pointer;
    opacity: 0;
    pointer-events: none;
    transition: all 0.3s ease;
}
.scroll-up-btn.show{
    bottom: 30px;
    opacity: 1;
    pointer-events: auto;
}
.scroll-up-btn:hover{
    filter: brightness(90%);
}


/* home section styling */
.home{
    display: flex;
    background: #F6F6F6 !important;!i;!;
    color: #333333;
    background-size: cover;
    background-attachment: fixed;
    font-family: 'Ubuntu', sans-serif;
    padding: 130px 0 0px;
    position: relative;
    background: url(images/banner-bg.png) no-repeat #F6F6F6 top right !important;
    background-repeat: no-repeat;
    background-position: right;
}
.home .max-width{
  width: 100%;
  display: flex;
}
.home .max-width .row{
  margin-right: 0;
}
.home .home-content .text-1{
    font-size: 27px;
    color: #fff;
}
.home .home-content .text-2{
    font-size: 64px;
    font-weight: 600;
    margin-left: -3px;
    color: #fff;
}
.home .home-content .text-3{
    font-size: 30px;
    margin: 5px 0;
    color: #fff;
}
.home .home-content .text-3 span{
    color: #ffffff;
    font-weight: 500;
}
.home .home-content a{
    display: inline-block;
    background: #38A8A3;
    color: #fff;
    font-size: 25px;
    padding: 12px 36px;
    margin-top: 20px;
    font-weight: 400;
    border-radius: 6px;
    border: 2px solid #ffffff;
    transition: all 0.3s ease;
}
.home .home-content a:hover{
    color: #ffffff;
    background: none;
    border: 2px solid #fff !important;!i;!;
}
/* about section styling */
.about .title::after{
    content: "what i make";
}
.about .about-content .left{
    width: 45%;
}
.about .about-content .left img{
    height: 400px;
    width: 400px;
    object-fit: cover;
    border-radius: 6px;
}
.about .about-content .right{
    width: 50%;
}
.about .about-content .right .text{
    font-size: 25px;
    font-weight: 600;
    margin-bottom: 10px;
}
.about .about-content .right .text span{
    color: #38A8A3;
}
.about .about-content .right p{
    text-align: justify;
}
.about .about-content .right a, .theme-btn {
    display: inline-block;
    background: #38A8A3;
    color: #fff;
    font-size: 20px;
    font-weight: 500;
    padding: 10px 30px;
    margin-top: 20px;
    border-radius: 6px;
    border: 2px solid #38A8A3;
    transition: all 0.3s ease;
}
.about .about-content .right a:hover, .theme-btn:hover{
    color: #38A8A3;
    background: none;
}

/* services section styling */
.services, .teams{
    color:#fff;
    background: #333333;
}
.services .serv-content .card{
    width: calc(33% - 20px);
    background: #222;
    text-align: center;
    border-radius: 6px;
    padding: 50px 25px;
    cursor: pointer;
    transition: all 0.3s ease;
}
.services .serv-content .card:hover{
    background: #38A8A3;
}
.services .serv-content .card .box{
    transition: all 0.3s ease;
}
.services .serv-content .card:hover .box{
    transform: scale(1.05);
}
.services .serv-content .card i{
    font-size: 50px;
    color: #38A8A3;
    transition: color 0.3s ease;
}
.services .serv-content .card:hover i{
    color: #fff;
}
.services .serv-content .card .text{
    font-size: 25px;
    font-weight: 500;
    margin: 10px 0 7px 0;
}

/* skills section styling */

.skills .title::after{
    content: "what I know";
}
.skills .skills-content .column{
    width: calc(50% - 30px);
}
.skills .skills-content .left .text{
    font-size: 20px;
    font-weight: 600;
    margin-bottom: 10px;
}
.skills .skills-content .left p{
    text-align: justify;
}
.skills .skills-content .left a{
    display: inline-block;
    background: #38A8A3;
    color: #fff;
    font-size: 18px;
    font-weight: 500;
    padding: 8px 16px;
    margin-top: 10px;
    border-radius: 6px;
    border: 2px solid #38A8A3;
    transition: all 0.3s ease;
}
.skills .skills-content .left a:hover{
    color: #38A8A3;
    background: none;
}
.skills .skills-content .right .bars{
    margin-bottom: 15px;
}
.skills .skills-content .right .info{
    display: flex;
    margin-bottom: 5px;
    align-items: center;
    justify-content: space-between;
}
.skills .skills-content .right span{
    font-weight: 500;
    font-size: 18px;
}
.skills .skills-content .right .line{
    height: 5px;
    width: 100%;
    background: lightgrey;
    position: relative;
}
.skills .skills-content .right .line::before{
    content: "";
    position: absolute;
    height: 100%;
    left: 0;
    top: 0;
    background: #38A8A3;
}
.skills-content .right .html::before{
    width: 90%;
}
.skills-content .right .css::before{
    width:70%;
}
.skills-content .right .js::before{
    width:35%;
}
.skills-content .right .php::before{
    width: 50%;
}
.skills-content .right .mysql::before{
    width:20%;
}

/* teams section styling */
.teams .title::after{
    content: "what can i make";
}
.teams .carousel .card{
    background: #222;
    border-radius: 6px;
    padding: 25px 35px;
    text-align: center;
    overflow: hidden;
    transition: all 0.3s ease;
}
.teams .carousel .card:hover{
    background: #38A8A3;
}
.teams .carousel .card .box{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    transition: all 0.3s ease;
}
.teams .carousel .card:hover .box{
    transform: scale(1.05);
}
.teams .carousel .card .text{
    font-size: 25px;
    font-weight: 500;
    margin: 10px 0 7px 0;
}
.teams .carousel .card img{
    height: 150px;
    width: 150px;
    object-fit: cover;
    border-radius: 15%;
    border: 5px solid #38A8A3;
    transition: all 0.3s ease;
}
.teams .carousel .card:hover img{
    border-color: #fff;
}
.owl-dots{
    text-align: center;
    margin-top: 20px;
}
.owl-dot{
    height: 13px;
    width: 13px;
    margin: 0 5px;
    outline: none!important;
    border-radius: 50%;
    border: 2px solid #38A8A3!important;
    transition: all 0.3s ease;
}
.owl-dot.active{
    width: 35px;
    border-radius: 14px;
}
.owl-dot.active,
.owl-dot:hover{
    background: #38A8A3!important;
}

/* contact section styling */
.contact .title::after{
    content: "get in touch";
}
.contact .contact-content .column{
    width: calc(50% - 30px);
}
.contact .contact-content .text{
    font-size: 20px;
    font-weight: 600;
    margin-bottom: 10px;
}
.contact .contact-content .left p{
    text-align: justify;
}
.contact .contact-content .left .icons{
    margin: 10px 0;
}
.contact .contact-content .rowcontact{
    display: flex;
    height: 65px;
    align-items: center;
}
.contact .contact-content .rowcontact .info{
    margin-left: 30px;
}
.contact .contact-content .rowcontact i{
    font-size: 25px;
    color: #38A8A3;
    width: 1.2rem;
}
.contact .contact-content .info .head{
    font-weight: 500;
}
.contact .contact-content .info .sub-title{
    color: #333;
}
.contact .right form .fields{
    display: flex;
}
.contact .right form .field,
.contact .right form .fields .field{
    height: 45px;
    width: 100%;
    margin-bottom: 15px;
}
.contact .right form .textarea{
    height: 80px;
    width: 100%;
}
.contact .right form .name{
    margin-right: 10px;
}
.contact .right form .field input,
.contact .right form .textarea textarea{
    height: 100%;
    width: 100%;
    border: 1px solid lightgrey;
    border-radius: 6px;
    outline: none;
    padding: 0 15px;
    font-size: 17px;
    font-family: 'Poppins', sans-serif;
    transition: all 0.3s ease;
}
.contact .right form .field input:focus,
.contact .right form .textarea textarea:focus{
    border-color: #b3b3b3;
}
.contact .right form .textarea textarea{
  padding-top: 10px;
  resize: none;
}
.contact .right form .button-area{
  display: flex;
  align-items: center;
}
.right form .button-area button{
  color: #fff;
  display: block;
  width: 160px!important;
  height: 45px;
  outline: none;
  font-size: 18px;
  font-weight: 500;
  border-radius: 6px;
  cursor: pointer;
  flex-wrap: nowrap;
  background: #38A8A3;
  border: 2px solid #38A8A3;
  transition: all 0.3s ease;
}
.right form .button-area button:hover{
  color: #38A8A3;
  background: none;
}
/* footer section styling */
footer{
    background: #111;
    padding: 15px 23px;
    color: #fff;
    text-align: center;
}
footer span a{
    color: #38A8A3;
    text-decoration: none;
}
footer span a:hover{
    text-decoration: underline;
}

.ahti-box {
    position: relative;
}

.ahti-box img {
    border-radius: 10px;
}

.ahti-box h2 {
    position: absolute;
    top: 0;
    right: 0;
    background: url(images/curve-image.png);
    background-size: 100% 100%;
    height: 270px;
    width: 250px;
    display: flex;
    align-items: inherit;
    justify-content: right;
    padding-right: 15px;
    padding-top: 20px;
    font-size: 43px;
    color: #fff;
    font-weight: 600;
    font-family: 'Ubuntu', sans-serif;
}

.ahti-box h3 {
    position: absolute;
    right: -200px;
    top: 17px;
    background: #32928e;
    z-index: 9;
    color: #fff;
    font-size: 20px;
    padding: 20px 30px;
    border-radius: 10px;
    font-family: 'Ubuntu', sans-serif;
}
.about-txt h3, .about-txt h4 {
    font-size: 54px;
    font-weight: 600;
    font-family: 'Ubuntu', sans-serif;
    color: #000;
}

.txt-clr {
    color: #3b8982;
}
.home .txt-clr {
    color: #ffffff;
}

.about-txt h4 {
    font-size: 26px;
    padding: 10px 0;
}

.about-txt h4 span {
    color: #32928e;
}

.about-txt p {
    font-size: 14px;
    color: #333;
}

section#about-us {
    padding: 90px 0px;
}

.about-txt {
    width: 90%;
    margin-left: auto;
    padding-top: 0px;
}

section#skills {
    background: #f6f6f6;
}
.slick-initialized .slick-slide > div {
    padding: 0 5px;
}

/* responsive media query start */
@media (max-width: 1104px) {
    .about .about-content .left img{
        height: 350px;
        width: 350px;
    }
}

@media (max-width: 991px) {
    .max-width{
        padding: 0 50px;
    }
}
@media (max-width: 947px){
    .menu-btn{
        display: block;
        z-index: 999;
    }
    .menu-btn i.active:before{
        content: "\f00d";
    }
    .navbar .menu{
        position: fixed;
        height: 100vh;
        width: 100%;
        left: -100%;
        top: 0;
        background: #111;
        text-align: center;
        padding-top: 80px;
        transition: all 0.3s ease;
    }
    .navbar .menu.active{
        left: 0;
    }
    .navbar .menu li{
        display: block;
    }
    .navbar .menu li a{
        display: inline-block;
        margin: 20px 0;
        font-size: 25px;
    }
    .home .home-content .text-2{
        font-size: 70px;
    }
    .home .home-content .text-3{
        font-size: 35px;
    }
    .home .home-content a{
        font-size: 23px;
        padding: 10px 30px;
    }
    .max-width{
        max-width: 930px;
    }
    .about .about-content .column{
        width: 100%;
    }
    .about .about-content .left{
        display: flex;
        justify-content: center;
        margin: 0 auto 60px;
    }
    .about .about-content .right{
        flex: 100%;
    }
    .services .serv-content .card{
        width: calc(50% - 10px);
        margin-bottom: 20px;
    }
    .skills .skills-content .column,
    .contact .contact-content .column{
        width: 100%;
        margin-bottom: 35px;
    }
    section#contact {
    padding-top: 50px !important;
}
}

@media (max-width: 690px) {
    .max-width{
        padding: 0 23px;
    }
    .home .home-content .text-2{
        font-size: 60px;
    }
    .home .home-content .text-3{
        font-size: 32px;
    }
    .home .home-content a{
        font-size: 20px;
    }
    .services .serv-content .card{
        width: 100%;
    }
}

@media (max-width: 500px) {
    .home .home-content .text-2{
        font-size: 50px;
    }
    .home .home-content .text-3{
        font-size: 27px;
    }
    .about .about-content .right .text,
    .skills .skills-content .left .text{
        font-size: 19px;
    }
    .contact .right form .fields{
        flex-direction: column;
    }
    .contact .right form .name,
    .contact .right form .email{
        margin: 0;
    }
    .right form .error-box{
       width: 150px;
    }
    .scroll-up-btn{
        right: 15px;
        bottom: 15px;
        height: 38px;
        width: 35px;
        font-size: 23px;
        line-height: 38px;
    }
}
.service-boxes {
    display: flex;
    flex-wrap: wrap;
    column-gap: 1%;
    padding-top:  50px;
}
.service-box {
  width: 32.5%;
  background-color: transparent;
  height: 500px;
  perspective: 1000px;
}
.service-box-inner {
  position: relative;
  width: 100%;
  height: 100%;
  text-align: center;
  transition: transform 0.8s;
  transform-style: preserve-3d;
  height: 500px;
}
.service-box:hover .service-box-inner {
  transform: rotateY(180deg);
}
.service-box-front, .service-box-back {
  position: absolute;
  width: 100%;
  height: 100%;
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
}
.service-box-front {
  background-color: #bbb;
  color: black;
  border-radius: 25px;
  background-size: 100% 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}
.service-box-back {
  background-image: url(images/upper-image.png);
  color: white;
  transform: rotateY(180deg);
  border-radius: 25px;
  display: flex;
  align-items: center;
  flex-direction: column;
  justify-content: center;
  padding: 0 20px;
  background-size: 100% 100%;
}
.service-box-inner h2 {
    font-size: 30px;
    color: #fff;
    font-weight: 600;
}
.service-box-back p {
    font-size: 14px;
    padding: 10px 0;
}
.service-box-back a {
    color: #fff;
}
.service-box-back a img {
    height: 14px;
    margin-bottom: 3px;
    margin-left: 3px;
}
.contact .column h2, .skills .column h2 {
    font-size: 54px;
    font-weight: 600;
    font-family: 'Ubuntu', sans-serif;
    color: #000;
}
.set-btnn {
    text-align: center;
    margin-top: 30px;
}a.btn.view-btn {
    display: inline-block;
    background: #38A8A3;
    color: #fff;
    font-size: 18px;
    font-weight: 500;
    padding: 12px 16px 12px;
    border-radius: 6px;
    border: 2px solid #38A8A3;
    transition: all 0.3s ease;
    margin-top: -6px;
    margin-left: 20px;
}
<!***********slider-css********>
.slider-container {
  width: 100%;
  overflow: hidden; /* Ensures images outside the viewport are hidden */
}

.slider-track {
  display: flex;
  transition: transform 0.5s ease-in-out; /* Smooth sliding transition */
}

.slider-track .col-4 {
  margin: 0px 0px;
  flex-shrink: 0;
  width: 33.333%; /* Each image takes up 1/3 of the container width */
}

.slider-track img {
  /* width: 100%; */
  height: auto;
  display: block;
  /* padding: 0px 5px; */
  width: 420px !important;
  height: 450px;
  border-radius: 21px;
}
.slider-container {
    overflow: hidden;
}
a.btn.view-btn:hover {
    background: none !important;
}
.parent-sec img {
    /* position: relative; */
}

.text-img {margin-top: -90px;position: relative;right: 0px;width: 440px;margin-left: 19px;!;!i;!;!;!i;!;}

.text-img h3 {
    padding: 40px 0px;
    color: #ffffff;
}
a.btn.view-btn.view-slide:hover {
    color: #38A8A3;
}
.slides-sec h2, p {
    text-align: Center;
}
.slides-sec h2 {
    font-size: 54px;
    font-weight: 600;
    font-family: 'Ubuntu', sans-serif;
}

.slides-sec h2 b {
    color: #4aa9a3;
    font-weight: 500;
}
.slides-sec {
    padding: 50px 0px 50px;
}
.slides-sec p {
    font-size: 19px;
    line-height: 1.3;
    color: #383636;
    padding-bottom: 5px;
    padding-top: 6px;
}

.black-text h3{
    color: #000;
}


@media only screen and (max-width: 980px) and (min-width: 320px){

    section {
    overflow: hidden !important;
    padding: 40px 0  !important;
}

.logo img {
    max-width: 80%;
}

.navbar {
    background: #ffffff;
    padding: 15px 0;
    position: relative;
}

.menu-btn {
    color: #378782;
}

.home {
    text-align: center;
    padding-bottom: 0 !important;!i;!;
}

.home .home-content .text-1 {
    font-size: 19px;
}

.home .home-content .text-2 {
    font-size: 38px;
}

.home .home-content .text-3 {
    font-size: 20px;
}

.home .home-content a {
    padding: 6px 20px;
    font-size: 16px;
    margin: 10px 0;
}

.ahti-box h2 {
    background: #3b928e;
    width: 110px;
    height: 110px;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0;
    border-radius: 20px;
    left: 0;
    bottom: -30px;
    top: inherit;
}

.ahti-box h3 {
    bottom: -10px;
    top: inherit;
    left: 90px;
    padding-left: 0;
    width: auto;
    right: inherit;
}

.ahti-box img {
    margin-bottom: 20px;
}

.about-txt {
    width: 100%;
    text-align: center;
}

.about-txt h3, .about-txt h4 {
    font-size: 40px;
}

.about-txt h4 {
    font-size: 16px;
    padding-top: 0;
}

.about .about-content .right a, .theme-btn {
    padding: 8px 20px;
    font-size: 16px;
    margin-top: 10px;
}

section .title::after {
    position: relative;
    left: 0;
    bottom: 0;
    display: block;
    transform: translate(0px, 0px);
}

section .title {
    font-size: 40px;
    margin-bottom: 0;
    padding-bottom: 10px;
}

.service-boxes {
    padding-top: 30px;
    display: block;
}

.service-box {
    width: 100%;
    margin-bottom: 20px;
    height: 300px;
}

.service-box-inner {
    height: 300px;
}

.service-box-front {
    object-fit: cover;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
}

a.btn.view-btn {
    margin-left: 8px;
    padding: 7px 15px;
    margin-top: 0;
}

.slides-sec h2 {
    font-size: 40px;
}

.slides-sec p {
    font-size: 16px;
}

.slides-sec p br {
    display: none;
}

section#skills {
    text-align: center;
}

.contact .column h2, .skills .column h2 {
    font-size: 40px;
}

.about .about-content .right .text, .skills .skills-content .left .text {
    font-size: 15px;
}

.skills .skills-content .left p {
    text-align: center;
}

.skills .skills-content .column, .contact .contact-content .column {
    margin-bottom: 30px;
}

.contact .contact-content {
    padding-top: 0 !important;
}

.navbar .menu li a {
    color: #fff;
}
.parent-sec img {
    height: auto !important;;
    border-radius: 30px;
    width: 100% !important;
}
.slick-slide {
    min-height: 360px !important;
    height: 100% !important;
}

    .contact-content .column.right img {
    width: 100%;
}
    
}
